/***************************************************************************
 *   Copyright (C) 2008 by msm net ingenieurbuero meissner   *
 *   service@msm-net.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

typedef struct {
	const int MsgNr;
	const char *german;
	const char *english;
	const char *reserve1;
	const char *reserve2;
	const char *reserve3;
} t_ERRTEXT;

t_ERRTEXT ERRTEXT[] = { 
// certcertdel.c Meldung 1
1,	"Waehlen Sie das zu loeschende Zertifikat aus.\n",
	"Select the certificate for delete.\n",
	NULL,
	NULL,
	NULL,
// certcertdel.c Meldung 2
2,	"Das zu loeschende Zertifikat wurde nicht gefunden.\n",
	"Can't find the certificate for delet.\n",
	NULL,
	NULL,
	NULL,
// certcertdel.c Meldung 3
3,	"Sie koennen keine Zertifikate auf der Smartcard loeschen.\n",
	"You can't delete certificates on a smartcard.\n",
	NULL,
	NULL,
	NULL,
// certcertdel.c Meldung 4
4,	"Bitte geben Sie das Passwort fuer den privaten Schluessel der\n CA '%s' an, um das Zertifikat zu sperren und loeschen",
	"If you want revoke or erase this certificate you must type input\nthe password for the private key from the CA %s.",
	NULL,
	NULL,
	NULL,
// certcertdel.c Meldung 5
5,	"Bitte geben Sie die Gueltigkeitsdauer der neuen Zertifikatsperrliste an.\n",
	"Please type input the lifetime for the new certificate revokation list.\n",
	NULL,
	NULL,
	NULL,
// Meldung 6
6,	"Konnte Verwaltungslinks nicht erstellen.\n",
	"Can't create administration links.\n",
	NULL,
	NULL,
	NULL,
// Meldung 7 Resevere certcertdel.c
7,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 8 Resevere certcertdel.c
8,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 9 Resevere certcertdel.c
9,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 10  Resevere certcertdel.c
10,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// cercertexport.c Meldung 11
11,	"Bitte waehlen Sie ein Zertifikat aus.\n",
	"Please select a certificate.\n",
	NULL,
	NULL,
	NULL,
// cercertexport.c Meldung 12
12,	"Export ist nicht moeglich!\n",
	"Export isn't possible!\n",
	NULL,
	NULL,
	NULL,
// certcertexport.c Meldung 13
13,	"Interner Fehler!\n",
	"Internal error!\n",
	NULL,
	NULL,
	NULL,
// certcertexport.c Meldung 14
14,	"Konnte Allgemeinen Namen nicht finden.\n",
	"Can't find this common name.\n",
	NULL,
	NULL,
	NULL,
// certcertexport.c Meldung 15
15,	"Challange Passworte sind nicht identisch.\n",
	"Challange passwords are different.\n",
	NULL,
	NULL,
	NULL,
//  Meldung 16 Reserve certcertexport.c
16,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 17 Reserve certcertexport.c
17,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 18 Reserve certcertexport.c
18,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 19 Reserve certcertexport.c
19,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 20 Reserve certcertexport.c
20,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// certcertexportview.c Meldung 21
21,	"Bitte waehlen Sie ein Zertifikat aus.\n",
	"Please select a certificate.\n",
	NULL,
	NULL,
	NULL,
// certcertexportview.c Meldung 22
22,	"Konnte allgemeinen Namen nicht finden.\n",
	"Can't find comon name.\n",
	NULL,
	NULL,
	NULL,
// certcertexportview.c Meldung 23
23,	"Falsches Passwort fuer den privaten Schluessel!\n",
	"False password for private key!\n",
	NULL,
	NULL,
	NULL,
// certcertexportview.c Meldung 24
24,	"Das Zertifikat befindet sich bereits auf der Smartcard an!",
	"This certificate is saved on the smartcard!.\n",
	NULL,
	NULL,
	NULL,
// certcertexportview.c Meldung 25
25,	"Bitte geben Sie das Benutzer- und das\n Administratorkennwort fuer die Smartcard an!",
	"Pleas type input the user and the\n administrator password for the smartcard!",
	NULL,
	NULL,
	NULL,
// certcertexportview.c Meldung 26
26,	"Fehler beim ablegen auf des Zertitikates\n%s:\n%s",
	"Error by saving for the certificate\n%s:\n%s",
	NULL,
	NULL,
	NULL,
// certcertexportview.c Meldung 27
27,	"Der private Schluessel befindet sich bereits auf der Smartcard!",
	"The private key is saved on the smartcard!",
	NULL,
	NULL,
	NULL,
// certcertexportview.c Meldung 28
28,	"Fehler beim ablegen des privaten Schluessels\%s:\n%s\n",
	"Error by saving from the private key\%s:\n%s\n",
	NULL,
	NULL,
	NULL,
// Meldung 29 Resserve certcertexportview.c 
29,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 30 Resserve certcertexportview.c 
30,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 31 certcertimport.c 
31,	"Es wurden keine Daten uebergeben.\n",
	"No data transfered.\n",
	NULL,
	NULL,
	NULL,
// Meldung 32 certcertimport.c 
32,	"Sie habe kein Challange-Passwort eingegeben!\n",
	"You haven't input the challange password!\n",
	NULL,
	NULL,
	NULL,
// Meldung 33 certcertimport.c 
33,	"Das Passwort mit dem der private Schluessel verschluesselt werden soll und die Wiederholung sind verschieden!\n",
	"Password und replay for encryption the private key are differnt!\n",
	NULL,
	NULL,
	NULL,
// Meldung 34 certcertimport.c 
34,	"Kann Daten nicht speichern!\n",
	"Can't saving data!",
	NULL,
	NULL,
	NULL,
// Meldung 35 certcertimport.c 
35,	"Es wurde eine Anzahl von Identzertifikaten ungleich eins gefunden!\n",
	"Have find numbers of idientcertificates not equal one!\n",
	NULL,
	NULL,
	NULL,
// Meldung 36 certcertimport.c 
36,	"Es wurde eine Anzahl von privaten Schluesseln ungleich eins gefunden!\n",
	"Have find numbers of private keys not equal one!\n",
	NULL,
	NULL,
	NULL,
// Meldung 37 certcertimport.c 
37,	"Der enthaltene private Schluessel gehoert nicht zum Identzertifikat!\n",
	"The included private key in not owned by the identcertificate!\n",
	NULL,
	NULL,
	NULL, 
// Meldung 38 Reserve certcertimport.c 
38,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 39 Reserve certcertimport.c 
39,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 40 Reserve certcertimport.c 
40,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 41 certcrl.c 
41,	"Bitte waehlen Sie ein Zertifikat aus.\n",
	"Please select a certificat.\n",
	NULL,
	NULL,
	NULL,
// Meldung 42 certcrl.c 
42,	"Bitte waehlen Sie eine Zertifizierungsstelle aus.\n",
	"Please select a SA.",
	NULL,
	NULL,
	NULL,
// Meldung 43 certcrl.c 
43,	"Es ist kein privater Schluessel zum unterzeichnen\n der Zertifikatssperrliste installiert.\n",
	"It isn't installt a private key for sign\nthe certificate revokation list\n.",
	NULL,
	NULL,
	NULL,
// Meldung 44 certcrl.c 
44,	"Geben Sie eine Gueltigkeitsdauer (1-9999 Tagen) an!",
	"Type input a lifetime (1-9999 days)!\n",
	NULL,
	NULL,
	NULL,
// Meldung 45 certcrl.c 
45,	"Geben Sie das Passwort fuer den privaten Schluessel der CA an!\n",
	"Type input the paasword for the private key from the CA!\n",
	NULL,
	NULL,
	NULL,
// Meldung 46 certcrl.c 
46,	"Konnte Verwaltungslinks nicht erstellen!\n",
	"Can't create administration links!\n",
	NULL,
	NULL,
	NULL,
// Meldung 47 certcrl.c 
47,	"Es wurden keine Daten uebergeben!\n",
	"No data transfered!\n",
	NULL,
	NULL,
	NULL,
// Meldung 48 certcrl.c 
48,	"Kann Daten der Zertifikatssperrliste nicht speichern!\n",
	"Can't certificate revokation list not save!\n",
	NULL,
	NULL,
	NULL,
// Meldung 49 Reserve certcrl.c 
49,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 50 Reserve certcrl.c 
50,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 51 certreqdel.c 
51,	"Waehlen Sie die zu loeschende Zertifikatanforderung aus.",
	"Select a request for delete.\n",
	NULL,
	NULL,
	NULL,
// Meldung 52 certreqdel.c 
52,	"Die zu loeschende Zertifikatanforderung wurde nicht gefunden.\n",
	"Request for delete wasn't found!\n",
	NULL,
	NULL,
	NULL,
// Meldung 53 Reservecertreqdel.c 
53,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 54 Reserve certreqdel.c 
54,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 55 certreqexportview.c 
55,	"Waehlen Sie eine Zertifikatsanforderung aus.\n",
	"Select a request.\n",
	NULL,
	NULL,
	NULL,
// Meldung 56 certreqexportview.c 
56,	"Konnte Allgemeinen Namen nicht finden.\n",
	"Can't find this common name.\n",
	NULL,
	NULL,
	NULL,
// Meldung 57 Reserve certreqexportview.c 
57,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 58 Reserve certreqexportview.c 
58,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 59 Reserve certreqexportview.c 
59,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 60 Reserve certreqexportview.c 
60,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 61 certreqimport.c 
61,	"Es wurden keine Daten uebergeben.\n",
	"No data transfered.\n",
	NULL,
	NULL,
	NULL,
// Meldung 62 certreqimport.c 
62,	"Es koennen entweder Files oder Texte im PEM-Format geladen werden.\n",
	"You can load files in text- or in pem-format.\n ",
	NULL,
	NULL,
	NULL,
// Meldung 63 certreqimport.c 
63,	"Kann Daten der Zertifikatsanforderung nicht speichern!\n",
	"Can't saving request data.\n",
	NULL,
	NULL,
	NULL,
// Meldung 64 certreqimport.c 
64,	"Schluessel-Daten wurden nicht vollstaendig uebergeben!\n",
	"Key data not complete transfered!\n",
	NULL,
	NULL,
	NULL,
// Meldung 65 certreqimport.c 
65,	"Kann Daten des privaten Schluessels nicht speichern!\n",
	"Can't private key data not save!\n",
	NULL,
	NULL,
	NULL,
// Meldung 66 certreqimport.c 
66,	"Die angegebenen Daten sind nicht korrekt!\n",
	"The giving data are not correct!\n",
	NULL,
	NULL,
	NULL,
// Meldung 67 certreqimport.c 
67,	"Es wurde keine eine Zertifikatsanforderung erkannt!\n",
	"Can't find a certifcate request!\n",
	NULL,
	NULL,
	NULL,
// Meldung 68 certreqimport.c 
68,	"Es kann nur eine Zertifikatsanforderung (optional mit privatem Schluessel) importiert werden!\n",
	"It can only one request (optinal with private key) import!\n",
	NULL,
	NULL,
	NULL,
// Meldung 69 certreqimport.c 
69,	"Fuer eine Zertifikatsanforderung gibt es nur einen privaten Schluessel!\n",
	"For a certificate request gives only one private key!\n",
	NULL,
	NULL,
	NULL,
// Meldung 70 certreqimport.c 
70,	"Der oeffentliche Schluessel des Zertifikatantrags konnte nicht ermittel werden.",
	"Can't find a public for the certificate request!\n",
	NULL,
	NULL,
	NULL,
// Meldung 71 certreqimport.c 
71,	"Der oeffentliche Schluessel des privaten Schluessels konnte nicht ermittel werden.",
	"Can't find the public key for the private key.\n",
	NULL,
	NULL,
	NULL,
// Meldung 72 certreqimport.c 
72,	"Der private Schluessel gehoert nicht zur Zertifikatsanforderung.\n",
	"The private key isn't possible for the certificate request.\n",
	NULL,
	NULL,
	NULL,
// Meldung 73 Reserve certreqimport.c 
73,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 74 Reserve certreqimport.c 
74,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 75 certreqnew.c 
75,	"Bitte waehlen Sie, wie der private Schluessel erstellt werden soll.\n",
	"Please select how want greate the private key.\n",
	NULL,
	NULL,
	NULL,
// Meldung 76 certreqnew.c 
76,	"Bitte waehlen Sie eine Schluessellaenge.\n",
	"Please select a key size.\n",
	NULL,
	NULL,
	NULL,
// Meldung 77 certreqnew.c 
77,	"Bitte waehlen Sie eine gueltige Schluessellaenge.\n",
	"Please select a valid key size.\n",
	NULL,
	NULL,
	NULL,
// Meldung 78 certreqnew.c 
78,	"Die Passwort-Laenge ist kleiner %d oder groesser %d.\n",
	"The password size is less than %d or greater than %d.\n",
	NULL,
	NULL,
	NULL,
// Meldung 79 certreqnew.c 
79,	"Passwort und Passwort-Wiederholung stimmen nicht ueberein!\n",
	"Password an replay are not equal.\n",
	NULL,
	NULL,
	NULL,
// Meldung 80 certreqnew.c 
80,	"Bitte waehlen Sie eine Schluessellaenge.\n",
	"Please select a key size.\n",
	NULL,
	NULL,
	NULL,
// Meldung 81 certreqnew.c 
81,	"Bitte waehlen Sie eine gueltige Schluessellaenge.\n",
	"Please select a valid key size.\n",
	NULL,
	NULL,
	NULL,
// Meldung 82 certreqnew.c 
82,	"Die Laenge des Adminpasswortes ist kleiner %d oder groesser %d\n",
	"The administrator password size is less than %d or greater than %d.\n",
	NULL,
	NULL,
	NULL,
// Meldung 83 certreqnew.c 
83,	"Die Laenge des Benuzterpasswortes ist kleiner %d oder groesser %d.\n",
	"The user password size is less than %d or greater than %d.\n",
	NULL,
	NULL,
	NULL,
// Meldung 84 certreqnew.c 
84,	"Bitte geben Sie einen gueltiges Land ein (2 Buchstaben).\n",
	"Please type input a valid country (2 charaters).\n",
	NULL,
	NULL,
	NULL,
// Meldung 85 certreqnew.c 
85,	"Bitte geben Sie eine gueltige Region an.\n",
	"Please type input a valid province.\n",
	NULL,
	NULL,
	NULL,
// Meldung 86 certreqnew.c 
86,	"Bitte geben Sie einen gueltigen Ort an.\n",
	"Please type input a valid city.\n",
	NULL,
	NULL,
	NULL,
// Meldung 87 certreqnew.c 
87,	"Bitte geben Sie einen gueltigen Organisationsnamen an.\n",
	"Please type input valid organisation name.\n",
	NULL,
	NULL,
	NULL,
// Meldung 88 certreqnew.c 
88,	"Bitte geben Sie einen gueltigen Abteilungsnamen an.\n",
	"Please type input a valid unit name.\n",
	NULL,
	NULL,
	NULL,
// Meldung 89 certreqnew.c 
89,	"Bitte geben Sie einen gueltigen allgemeinen Namen an.\n",
	"Please type input a valid common name.\n",
	NULL,
	NULL,
	NULL,
// Meldung 90 certreqnew.c 
90,	"Bitte geben Sie eine gueltige email-Adresse ein.\n",
	"Please type input a valid email adress.\n",
	NULL,
	NULL,
	NULL,
// Meldung 91 certreqnew.c 
91,	"Es koennen keine weiteren Schluessel mehr auf der Smartcard erzeugt werden.\n",
	"Can't create more keys on a smartcard.\n",
	NULL,
	NULL,
	NULL,
// Meldung 92 certreqnew.c 
92,	"Keinen neuen Schluessel gefunden.\n",
	"Haven't found new key.\n",
	NULL,
	NULL,
	NULL,
// Meldung 93 certreqnew.c 
93,	"Konnte neuen Schluessel-ID nicht finden.\n",
	"Can't found new key-ID.\n",
	NULL,
	NULL,
	NULL,
// Meldung 94 Reserve certreqnew.c 
94,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 95 Reserve certreqnew.c 
95,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 96 Reserve certreqnew.c 
96,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 97 Reserve certreqnew.c 
97,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 98 Reserve certreqnew.c 
98,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 99 Reserve certreqnew.c 
99,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 100 Reserve certreqnew.c 
100,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 101 certsign.c 
101,	"Waehlen Sie die zu signierende Zertifikatanforderung aus.\n",
	"Select for sign the certificate request.\n",
	NULL,
	NULL,
	NULL,
// Meldung 102 certsign.c 
102,	"Die zu signierende Zertifikatanforderungen existiert nicht.\n",
	"The sign certificate request don't exist.\n",
	NULL,
	NULL,
	NULL,
// Meldung 103 certsign.c 
103,	"Waehlen Sie aus, wie die Zertifikatanforderungen signiert werden soll.\n",
	"Select how you want sign the certificate request.\n",
	NULL,
	NULL,
	NULL,
// Meldung 104 certsign.c 
104,	"Bitte geben Sie die Gueltigkeisdauer des Zertifikates ein.\n",
	"Please type input the lifetime for the certificate.\n",
	NULL,
	NULL,
	NULL,
// Meldung 105 certsign.c 
105,	"Waehlen Sie aus, durch welche CA die Zertifikatanforderungen signierend werden soll.\n",
	"Please select the CA for sign the certificate request.\n",
	NULL,
	NULL,
	NULL,
// Meldung 106 certsign.c 
106,	"Bitte geben Sie das Passwort / den PIN fuer den privaten Schluessel ein.\n",
	"Please type input the password / the PIN for the private key.\n",
	NULL,
	NULL,
	NULL,
// Meldung 107 certsign.c 
107,	"Waehlen Sie aus, wie die Zertifikatanforderungen signiert werden soll.\n",
	"Please select how you want sign the certificate request.\n",
	NULL,
	NULL,
	NULL,
// Meldung 108 certsign.c 
108,	"Waehlen Sie aus, durch welche CA die Zertifikatanforderungen signierend werden soll.\n",
	"Please select with which CA you want sign the certificate request.\n",
	NULL,
	NULL,
	NULL,
// Meldung 109 certsign.c 
109,	"Kann privaten Schluessel nicht finden.\n",
	"Can't find the private key.\n",
	NULL,
	NULL,
	NULL,
// Meldung 110 certsign.c 
110,	"Waehlen Sie ein gueltiges CA-Zertifikat.\n",
	"Select a valid CA-certificate.\n",
	NULL,
	NULL,
	NULL,
// Meldung 111 certsign.c 
111,	"Konnte Verwaltungsdatein nicht oeffnen/erstellen.\n",
	"Can't open/create administration files.\n",
	NULL,
	NULL,
	NULL,
// Meldung 112 certsign.c 
112,	"Konnte Verwaltungslinks nicht erstellen.\n",
	"Can't create administration links.\n",
	NULL,
	NULL,
	NULL,
// Meldung 113 Reserve certsign.c 
113,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 114 Reserve certsign.c 
114,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 115 Reserve certsign.c 
115,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 116 certsmartcard.c 
116,	"Bitte geben Sie die aktuellen Passwoerter ein.\n",
	"Please type input the actual passwords.\n",
	NULL,
	NULL,
	NULL,
// Meldung 117 certsmartcard.c 
117,	"Bitte geben Sie die neuen Passwoerter ein.\n",
	"Please type input the new passswords.\n",
	NULL,
	NULL,
	NULL,
// Meldung 118 certsmartcard.c 
118,	"Das neue Administratorpasswort und die Wiederholung sind verschieden.\n",
	"The new aministrator password and the replay are different.\n",
	NULL,
	NULL,
	NULL,
// Meldung 119 certsmartcard.c 
119,	"Das neue Benutzerpasswort und die Wiederholung sind verschieden.",
	"The new user password and the replay are different.\n",
	NULL,
	NULL,
	NULL,
// Meldung 120 Reserver certsmartcard.c 
120,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 121 Reserve certsmartcard.c 
121,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Meldung 122 Reserve certsmartcard.c 
122,	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
// Ende 
0,	NULL, NULL, NULL, NULL, NULL
};
