/***************************************************************************
 *   Copyright (C) 2008 by msm net ingenieurbuero meissner   *
 *   service@msm-net.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <errno.h>
#include <syslog.h>
#include <time.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <dirent.h>

#include "main.h"
#include "CERT.h"


int certreqlist(void) {
	struct CERTOBJECTS_t *search_certobject;
	char *p_buffer = NULL, buffer[1024];

	syslog(LOG_DAEMON | LOG_INFO, "User: %s, Action: list certificate-requests", "USRNAME");

	if(NULL == CERTOBJECTS)
		CERT_create_objectlist();
		
	if(NULL != (search_certobject = CERTOBJECTS)) {
		do {
			if(search_certobject->type == REQ) {
				snprintf(buffer, sizeof(buffer), "<option value=\"%s\" title=\"%s\">%s", search_certobject->filename, search_certobject->subject, search_certobject->cn);
				if(search_certobject->has_key)
					strcat(buffer, " (k)");
				if(p_buffer != NULL) {
					p_buffer = realloc(p_buffer, strlen(p_buffer) + strlen(buffer) + 1);
					strcat(p_buffer, buffer);
				}
				else {
					p_buffer = malloc(strlen(buffer) + 1);
					strcpy(p_buffer, buffer);
				}
			}
		}
		while(NULL != (search_certobject = search_certobject->next));
	}

	if(p_buffer != NULL) {
		sort_optionlist(p_buffer);
		setvar(p_buffer, "reqname");
		free(p_buffer);
	}

    return EXIT_SUCCESS;
}

