/***************************************************************************
 *   Copyright (C) 2008 by msm net ingenieurbuero meissner   *
 *   service@msm-net.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#define _GNU_SOURCE

#define _VARS_NAME_MAX_LENGTH_ 100
#define _VARS_MAX_NUMBERS_ 1000
#define _NEWLINE_REPLACE_ '~'

#define SC_PASSWD_MIN 6
#define SC_PASSWD_MAX 20

#define CERT_PASSWD_MIN 6
#define CERT_PASSWD_MAX 20
#define CERT_PATH "/usr/local/CertAdm/certs"
#define CERT_PATH_SC "/usrlocal/CertAdm/tmp/certs"
#define CERT_FILENAME_ISSUERS ".issuers"
#define CERT_FILENAME_SUBJECTS ".subjects"
#define CERT_FILENAME_PASSWORDS ".passwords"
#define CERT_MIN_VALID 864000

#define WWW_CERT_PATH "/cgi-bin/tmp"
#define WWW_ROOT "/usr/local/CertAdm/www"

#define CS_CHARS "ABCDEFGHIJKLMNOPRQSTUVWXYZabcdefghijklmnopqrstuvwxyz"
#define CS_NUMBERS "0123456789"

#define DEFAULTLANGUAGE "german"

#define BIN_OPENSSL "/usr/bin/openssl"
#define BIN_PKSC15INIT "/usr/bin/pkcs15-init"
#define BIN_PCKS15TOOL "/usr/bin/pkcs15-tool"
#define BIN_READSMARTCARD "/usr/local/CertAdm/bin/readsmartcard"
#define BIN_INSERTCERTS "/usr/local/CertAdm/bin/insertcerts"

#define CONF_OPENSSL "/usr/local/CertAdm/etc/openssl.cnf"

#define PATH_TEMP "/usr/local/CertAdm/tmp"
#define PATH_PKCS11ENGINE "/usr/lib/engines/engine_pkcs11.so"

typedef struct {
	char name[_VARS_NAME_MAX_LENGTH_ + 1];
	char *value;
} struct_vars;

typedef struct {
	char *site;
	void *function;
} struct_siteindex;



