/***************************************************************************
 *   Copyright (C) 2008 by msm net ingenieurbuero meissner   *
 *   service@msm-net.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "config.h"

extern int setvar(char *value, char *fmt, ...);
extern int setvar_direct(char *value, char *fmt, ...);
extern char *getvar(const char *fmt, ...);
extern int addvar(char *value, char *fmt, ...);
extern int getvars_from_file(char **pp_varname, char *p_filename);
extern void clear_all_vars(void);
extern char *str_upper(char *str);
extern char *str_lower(char *str);
extern int parse_multiform(void);
extern char *get_restlines_of_file(char *p_filename, char **linebeginn);
extern int read_file_in_var(char *p_filename, char *p_varname);
extern int save_var_as_file(char *p_filename, char *p_varname);
extern void set_error(const char *name, char *file, int line, const char *fmt, ...);
extern void cleartmp(void);
extern void sort_optionlist(char *options);
int check_ip_fqdn(char *network, int must_ip, int addr_family);
extern int check_string_for_chars(char *string, char *allowed, int must);
extern int exec_command(char *textin, char **textout, char **texterr, char **argv, char **more_in);
extern int menuconfig(void);
extern int fillin_vars(char *text_in, char *varname_out, char mark_begin, char mark_end);

extern struct_vars VARS[_VARS_MAX_NUMBERS_ + 1];
extern char *P_SITE;
extern int SITE_INDEX;
extern char *P_POST_VARS;
extern char ERROR_BUF[10240];
extern int SET_ERROR_NR;
extern int RIGHTS_OK;
